PSDTTRF(l)

NAME
PSDTTRF - compute a LU factorization of an N-by-N real tridiagonal diagonally dominant-like distributed matrix A(1:N, JA:JA+N-1)

SYNOPSIS

SUBROUTINE PSDTTRF(
    N, DL, D, DU, JA, DESCA, AF, LAF, WORK, LWORK, INFO )

INTEGER
    INFO, JA, LAF, LWORK, N

INTEGER
    DESCA( * )

REAL
    AF( * ), D( * ), DL( * ), DU( * ), WORK( * )

PURPOSE
PSDTTRF computes a LU factorization of an N-by-N real tridiagonal diagonally dominant-like distributed matrix A(1:N, JA:JA+N-1). Reordering is used to increase parallelism in the factorization. This reordering results in factors that are DIFFERENT from those produced by equivalent sequential codes. These factors cannot be used directly by users; however, they can be used in
subsequent calls to PSDTTRS to solve linear systems.

The factorization has the form

        P A(1:N, JA:JA+N-1) P^T = L U

where U is a tridiagonal upper triangular matrix and L is tridiagonal lower triangular, and P is a permutation matrix.